# std::bad_typeid::bad_typeid

From cppreference.com
< cpp‎ | types‎ | bad typeid

bad_typeid(); |  |

Constructs new std::bad_typeid object. The contents of the byte string returned by `what()` are implementation defined.

### Parameters

(none)

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/types/bad_typeid/bad_typeid&oldid=91662"